Subject: Re: How do I make git-format-patch reject 8-bit encodings?

From: Tabi Timur-B04825 <[email-masked]>
Date: Tue, 22 Feb 2011 00:27:19 +0000

Junio C Hamano wrote:
> Feels like an X-Y problem, but wouldn't it be an option to let
> format-patch write into individual files, check these files and reject
> ones that are not 8-bit clean, and then send the result out via
> send-email?  You should be proofreading the format-patch output to catch
> and fix typos before hading them to send-email anyway, so the above would
> be the natural thing to do.

The problem is that it appears that git-send-email is taking normal-looking patches and encoding them as base64, and I don't know about it until after the email is sent.  It also appears to be inconsistent.  I've seen some utf-8 patches emailed as normal text, and other patches emailed as base64.

I don't have any real problem with utf-8, but I want to prevent git-send-email from doing base64 encodings on its own.

-- 
Timur Tabi
Linux kernel developer